%define version         5.8.0
%define release         alt1
%define oldversion      5.00800
%define majver          5
%define sover           5.8

%define interp_compat_versions 5.6.1 5.6.0
%define binary_compat_versions %nil
%define doc1_compat_release    alt0.5
%define doc3_compat_release    alt0.8.1

Name: perl
Epoch: 1
Version: %version
Release: %release

%def_with threads
%def_with largefiles
# perl-CGI is a separate package
%def_without cgi
# perl-CPAN is a separate package
%def_without cpan
# perl-libnet is a separate package
%def_without libnet
# perl-Storable is a separate package
%def_without storable
# perl-Parse-RecDescent is a separate package
%def_without recdesc
# AnyDBM_File.pm is in perl-DB_File package
%def_without anydbm
# perl-DB_File is a separate package
%def_without db
%def_with gdbm
%def_with ndbm
%def_with sdbm
# XXX can't build
%def_without odbm
# make test?
%def_with test

Summary: The Perl programming language (extra libraries)
Summary(de): Die Perl-Programmiersprache
Summary(ru_RU.CP1251):    Perl
URL: http://www.perl.org
License: GPL or Artistic
Group: Development/Perl
Packager: Alexey Tourbin <at@altlinux.ru>

AutoReq: yes, nolibperl

Provides: perl = 0:%oldversion
PreReq: perl-base = 1:%version-%release
Requires: initscripts >= 5.49-ipl13mdk

%ifarch %ix86
%define perl_arch i386
%else
%define perl_arch %_arch
%endif

# threaded build is the default
%if 0
#if_with threads
%define thread_arch -thread-multi
%else
%define thread_arch %nil
%endif
%define perl_arch_os %perl_arch-%_os%thread_arch

# skeleton
%define privlib %_libdir/%name%majver
%define archlib %privlib/%perl_arch_os
%define autolib %archlib/auto
%define vendor_privlib %privlib/vendor_perl
%define vendor_archlib %vendor_privlib/%perl_arch_os
%define vendor_autolib %vendor_archlib/auto
%define _perl_lib_path %privlib %archlib

# site stuff is now used for local installations
%define site_prefix /usr/local
%define site_privlib %site_prefix/lib/perl%majver/site_perl/%version
%define site_archlib %site_privlib/%perl_arch_os
%define site_autolib %site_archlib/auto
%define site_man1dir %site_prefix/man/man1
%define site_man1dir %site_prefix/man/man3

# inc_version_list is kept for local installations only
%define interp_inc_version_list %interp_compat_versions
%define binary_inc_version_list %(echo %binary_compat_versions | sed 's!\([0-9.]\+\)!\1/%perl_arch_os!g')

BuildPreReq: rpm-build >= 4.0.4-alt9, kernel-headers >= 2.2.18-ipl5mdk


# Automatically added by buildreq on Mon Dec 30 2002
BuildRequires: byacc glib2 groff-base ladspa_sdk libdb2-devel libdb4-devel libelf-devel libgdbm-devel mc tcsh zip

BuildRequires: libdb1-devel libgdbm-devel

# ftp://ftp.cpan.org/pub/CPAN/src/
Source0: perl-%version.tar.bz2
Source1: perl5-deb-fixheaders.pl
Source2: perl5-alt-rpm-macros
Source3: perl5-chat2.pl

# alt/specific/misc
# Exclude some unwanted or inexistant libraries from libswanted
#Patch1: perl-5.8.0-libswanted.patch
# fix implied $(PREFIX)/man mandir in MM_Unix.pm
Patch2: perl-5.8.0-alt-mdk-MakeMaker-fhs.patch
Patch3: perl-5.8.0-alt-pld-soname.patch
Patch4: perl-5.8.0-alt-new-gdbm.patch

# Owl
Patch10: perl-5.8.0-owl-tmp.patch
Patch11: perl-5.6.0-owl-vitmp.patch

# RH
# Configure doesn't listen well when we say no ndbm.  When it links in, it then conflicts with berkeley db.  oops.
#Patch20: perl-5.8.0-rh-nondbm.patch
# use syslog instead of mail to report possible attempts to break into suidperl
Patch21: perl-5.7.3-rh-syslog.patch
# make sure we get the proper ldflags on libperl.so
Patch22: perl-5.8.0-rh-sharedlinker.patch
# -x "/usr/bin/less", not -x "/usr/bin/less -isR"
Patch23: perl-5.8.0-rh-pager.patch

# Mdk
Patch30: perl-5.8.0-mdk-norootcheck.patch
Patch31: perl-5.8.0-mdk-LD_RUN_PATH-MakeMaker.patch
# make all paths in makefiles depend on prefix
Patch32: perl-5.8.0-mdk-MakeMaker-prefix.patch

# deb
# screen-wide perldoc
Patch40: perl-5.8.0-deb-perldoc-width.patch
# skip non-existent @INC directories when looking for docs
Patch41: perl-5.8.0-deb-perldoc-INC.patch
# the stucture used by pp_accept is too small to hold an IPv6 address
Patch42: perl-5.8.0-deb-accept-addrsz.patch
# strip infocmp leading coment string
Patch43: perl-5.8.0-deb-Term-Cap-infocmp.patch
# don't generate empty man pages for podless modules
Patch44: perl-5.8.0-deb-installman-nopod.patch
# make some examples work with multiplicity
Patch45: perl-5.8.0-deb-perlembed-examples.patch
# add accessor methods for POSIX::SigAction
Patch46: perl-5.8.0-deb-POSIX-SigAction.patch
# copy arguments passed to 'use lib'
Patch47: perl-5.8.0-deb-lib-args.patch
# syslogd may not be running in the chroot
Patch48: perl-5.8.0-deb-no-syslogd.patch
# Security update for Safe.pm
Patch49: perl-5.8.0-deb-Safe.patch

# some post-5.8.0 patches (RH)
Patch200: perl-5.8.0-upstream-17781.patch
Patch201: perl-5.8.0-upstream-17927.patch
Patch202: perl-5.8.0-upstream-18061.patch
Patch203: perl-5.8.0-upstream-18086.patch

%package base
Summary: The Perl programming language (base installation)
Summary(ru_RU.CP1251):    Perl ( )
Group: Development/Perl
Epoch: 1
Version: %version
AutoReq: yes, nolibperl
Provides: perl-base = 0:%oldversion %_bindir/perl
Provides: perl-version = 1:%version
Provides: perl-version = 0:%oldversion
Provides:  perl-Digest-MD5 perl-Time-HiRes perl-MIME-Base64
Obsoletes: perl-Digest-MD5 perl-Time-HiRes perl-MIME-Base64

%package devel
Summary: The Perl programming language (development tools)
Summary(ru_RU.CP1251):    Perl ( )
Group: Development/Perl
Epoch: 1
Version: %version
AutoReq: yes, nolibperl
Provides: perl-devel = 0:%oldversion
PreReq: perl-base = 1:%version-%release
PreReq: %_sysconfdir/rpm/macros.d

%package suidperl
Summary: suidperl, for use with setuid perl scripts
Group: Development/Perl
AutoReq: yes, nolibperl
PreReq: perl-base = 1:%version-%release

%package pod
Summary: The Perl programming language (documentation in pod format)
Group: Development/Perl
AutoReq: yes, nolibperl
PreReq: perl-base >= 1:%version-%doc1_compat_release

%package man1
Summary: The Perl programming language (manual pages, man1 section)
Group: Development/Perl
AutoReq: yes, nolibperl
PreReq: perl-base >= 1:%version-%doc1_compat_release

%package man3
Summary: The Perl programming language (manual pages, man3 section)
Group: Development/Perl
AutoReq: yes, nolibperl
PreReq: perl-base >= 1:%version-%doc3_compat_release

%package full
Summary: The Perl programming language (full kit)
Group: Development/Perl
PreReq: perl-base perl-devel perl 
PreReq: perl-pod perl-man1 perl-man3
PreReq: perl-libnet perl-libwww-perl
PreReq: perl(AnyDBM_File.pm) perl(DB_File.pm) perl(NDBM_File.pm)
PreReq: perl(DBI.pm) perl(DBD/mysql.pm) perl(DBD/Pg.pm)
PreReq: perl(CPAN.pm) perl(Term/ReadLine/Gnu.pm)
PreReq: perl(Storable.pm) perl(CGI.pm) perl(Text/Balanced.pm)
PreReq: perl(HTML/Parser.pm) perl(XML/Parser.pm)

%description
Perl is a high-level programming language with roots in C, sed, awk
and shell scripting.  Perl is good at handling processes and files,
and is especially good at handling text.  Perl's hallmarks are
practicality and efficiency.  While it is used to do a lot of
different things, Perl's most common applications (and what it excels
at) are probably system administration utilities and web programming.
A large proportion of the CGI scripts on the web are written in Perl.
You need the perl package installed on your system so that your
system can handle Perl scripts.

You need perl-base to have a full perl.

The perl package contains:
+ unicode and localization-related modules;
+ many other additional modules.

%description -l ru_RU.CP1251
Perl -     , 
  C, sed, awk  shell-. Perl   
   ,     
.   Perl -   .
       , ,
    Perl (   ,
      ) -  
     Web.
  CGI-   Perl.   
 perl,        Perl.

  perl    perl-base.

  perl :
+     unicode;
+    .

%description base
This is the base package for %name. It contains perl executable, as
well as all basic perl libraries and modules needed for perl to run.

%description devel
This is the "devel" package for %name. It contains:
+ all ExtUtils modules, including MakeMaker;
+ Devel, Test and XS modules;
+ B and O (perl compiler) modules;
+ AutoSplit, ByteLoader and other development-related modules;
+ header files (including perl.h and EXTERN.h);
+ h2xs and other perl programs useful for development.

%description suidperl
suidperl is a setuid binary copy of perl that allows for (hopefully)
more secure running of setuid perl scripts.

%description pod
This package contains perl documentation in pod format (including perltoc 
and perlintro).

%description man1
This package contains perl manual pages (including perltoc and perlintro).

%description man3
This package contains perl manual pages for all perl-base, perl and 
perl-devel modules.

%description full
This package helps you to install feature-rich perl kit.

%prep
%setup -q
# alt/specific/misc
#%patch1 -p1 -b .libswanted
%patch2 -p1
%patch3 -p1
%patch4 -p1
# Owl
%patch10 -p1
%patch11 -p1
# RH
#%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
# Mdk
%patch30 -p1
%patch31 -p1
%patch32 -p1
# deb
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
# upstream
%patch200 -p1
%patch201 -p1
%patch202 -p1
#patch203 -p1 --broken

%build
sh Configure \
	-des -Darchname=%perl_arch_os -Dd_dosuid -Ud_csh \
	-Duseshrplib -Dlibperl=libperl.so.%sover \
	-Doptimize="$RPM_OPT_FLAGS" \
	-Dinstallprefix="$RPM_BUILD_ROOT%prefix" \
	-Dprefix=%_prefix -Dprivlib=%privlib -Darchlib=%archlib \
	-Dvendorprefix=%_prefix -Dvendorlib=%vendor_privlib -Dvendorarch=%vendor_archlib \
	-Dsiteprefix=%site_prefix -Dsitelib=%site_privlib -Dsitearch=%site_archlib \
	-Dman1dir=%_man1dir -Dman3dir=%_man3dir \
	-Dcf_by='%vendor' -Dmyhostname=localhost -Dperladmin=root@localhost \
	-Dinc_version_list='%interp_inc_version_list %binary_inc_version_list' \
	-Dpager='%_bindir/less -isR' \
%ifarch sparc
	-Ud_longdbl \
%endif
	-Di_shadow -Di_syslog \
%if_with threads
	-Dusethreads -Duseithreads \
%else
	-Uusethreads -Uuseithreads \
%endif
%if_with largefiles
	-Duselargefiles \
%else
	-Uuselargefiles \
%endif
%if_with db
	-Di_db \
%else
	-Ui_db \
%endif
%if_with gdbm
	-Di_gdbm \
%else
	-Ui_gdbm \
%endif
%if_with ndbm
	-Di_ndbm \
%else
	-Ui_ndbm \
%endif
%if_with sdbm
	-Di_sdbm \
%else
	-Ui_sdbm \
%endif
%if_with odbm
	-Di_odbm \
%else
	-Ui_odbm \
%endif

# disable rpath (implies later libperl relocation)
%make_build CCDLFLAGS="-rdynamic"

%if_with test
# link even now to satisfy -lperl in tests
ln -sf libperl.so.%sover libperl.so
export LD_LIBRARY_PATH=$(pwd)
export LD_PRELOAD=$(pwd)/libperl.so.%sover
%make_build test
%endif

%install
export LD_LIBRARY_PATH=$(pwd)
export LD_PRELOAD=$(pwd)/libperl.so.%sover
export PERL5LIB=$(pwd)/lib
export PERL=$(pwd)/perl

%makeinstall
$PERL -pi -e "s,$RPM_BUILD_ROOT,,g" $RPM_BUILD_ROOT%archlib/Config.pm
$PERL -pi -e "s/,-rpath,[^\s,'\"]+//g && s/\s*-Wl(?!,)//g" $RPM_BUILD_ROOT%archlib/Config.pm
$PERL -pi -e 's,/usr/local/bin/perl,%_bindir/perl,' $RPM_BUILD_ROOT%privlib/ExtUtils/instmodsh
ln -sf perl%majver $RPM_BUILD_ROOT%_bindir/perl
ln -sf perl%version $RPM_BUILD_ROOT%_bindir/perl%majver
ln -sf sperl%version $RPM_BUILD_ROOT%_bindir/suidperl

# skeleton
mkdir -p \
	$RPM_BUILD_ROOT%vendor_privlib		\
	$RPM_BUILD_ROOT%vendor_privlib/auto	\
	$RPM_BUILD_ROOT%vendor_archlib		\
	$RPM_BUILD_ROOT%vendor_autolib		\

# relocate libperl.so.%sover
%__mkdir_p $RPM_BUILD_ROOT%_libdir
%__mv $RPM_BUILD_ROOT%archlib/CORE/libperl.so.%sover $RPM_BUILD_ROOT%_libdir/
%__ln_s -f libperl.so.%sover $RPM_BUILD_ROOT%_libdir/libperl.so

# Generate *.ph files with a trick. Is this sick or what ?
# Switch to the debian way (pre-defined list of headers, recursively expanded by h2ph)
# Note: fails on machine/ansi.h, so discard the return value.
$PERL $RPM_BUILD_ROOT%_bindir/h2ph -a -d $RPM_BUILD_ROOT%archlib \
	syscall.h \
	sys/syscall.h \
	syslog.h \
	sys/syslog.h \
	sys/ioctl.h \
	sys/resource.h \
	asm/termios.h \
	linux/modsetver.h \
	syslimits.h \
	sys/socket.h \
	sys/time.h \
	wait.h \
||:
$PERL %SOURCE1 $RPM_BUILD_ROOT%archlib

# strip junk comments (generated automatically)
find $RPM_BUILD_ROOT%autolib -type f '(' -name '*.al' -o -name '*.ix' ')' \
	-exec $PERL -ni -e 'print unless /^#/' {} ';'

%if_without cgi
rm -f $RPM_BUILD_ROOT%_man3dir/CGI*
%endif

%if_without cpan
rm -f $RPM_BUILD_ROOT%_man3dir/CPAN*
%endif

%if_without libnet
rm -f $RPM_BUILD_ROOT%_man3dir/Net::{C,D,F,l,N,PO,S,T}*
%endif

%if_without recdesc
rm -f $RPM_BUILD_ROOT%_man3dir/Text::Balanced*
%endif

%if_without storable
rm -f $RPM_BUILD_ROOT%_man3dir/Storable*
%endif

install -p -D -m644 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/rpm/macros.d/%name
install -p -D -m644 %SOURCE3 $RPM_BUILD_ROOT%privlib/chat2.pl

%ifarch %ix86
%ifnarch i386
%pre base
cd %privlib 2>/dev/null || exit 0
if [ -d %_target -a ! -L %_target -a ! -e %_target.rpmsave ]; then
	%__mv %_target %_target.rpmsave && ln -s %_target.rpmsave %_target ||:
fi

%pre
cd %privlib/site_perl/%version 2>/dev/null || exit 0
if [ -d %_target -a ! -L %_target -a ! -e %_target.rpmsave ]; then
	%__mv %_target %_target.rpmsave && %__ln_s %_target.rpmsave %_target ||:
fi
%endif
%endif

%post base
%post_ldconfig

%postun base
%postun_ldconfig

%files base
	%_bindir/perl
	%_bindir/perl%majver
	%_bindir/perl%version
	%_bindir/perldoc
	%_bindir/pod2man
	%_bindir/pod2text
	%_bindir/h2ph
	%attr(0755,root,root) %_libdir/libperl.so.%sover
# skeleton
%dir	%privlib
%dir	%privlib/auto
%dir	%archlib
%dir	%autolib
%dir	%vendor_privlib
%dir	%vendor_privlib/auto
%dir	%vendor_archlib
%dir	%vendor_autolib
# perl-base *.ph
%dir	%archlib/asm
%dir	%archlib/bits
%dir	%archlib/linux
%dir	%archlib/sys
%dir	%archlib/gnu
# h2ph and *.ph are somewhat dirty, better take them by glob
	%archlib/*.ph
	%archlib/*/*.ph
# perl-base pragma
	%privlib/base.pm
	%privlib/blib.pm
	%privlib/bytes.pm
	%privlib/bytes_heavy.pl
	%privlib/constant.pm
	%privlib/diagnostics.pm
	%privlib/fields.pm
	%privlib/integer.pm
	%archlib/lib.pm
	%privlib/locale.pm
	%privlib/overload.pm
	%archlib/re.pm
	%autolib/re
	%privlib/strict.pm
	%privlib/subs.pm
	%archlib/threads*
	%autolib/threads
	%privlib/vars.pm
	%privlib/utf8.pm
	%privlib/utf8_heavy.pl
	%privlib/vmsish.pm
	%privlib/warnings*
# perl-base modules
	%privlib/AutoLoader.pm
%dir	%archlib/B
	%archlib/B.pm
	%archlib/B/Deparse.pm
	%privlib/Benchmark.pm
	%privlib/Carp*
	%archlib/Config.pm
	%archlib/Cwd.pm
	%autolib/Cwd
	%archlib/Data
	%autolib/Data
	%archlib/Digest
	%autolib/Digest
	%privlib/DirHandle.pm
	%archlib/DynaLoader.pm
%dir	%autolib/DynaLoader
	%autolib/DynaLoader/autosplit.ix
	%autolib/DynaLoader/extralibs.ld
	%autolib/DynaLoader/*.al
	%privlib/English.pm
	%privlib/Env.pm
	%archlib/Errno.pm
	%privlib/Exporter*
	%archlib/Fcntl.pm
	%autolib/Fcntl
%dir	%privlib/File
	%privlib/File/Basename.pm
	%privlib/File/Compare.pm
	%privlib/File/Copy.pm
	%privlib/File/Find.pm
	%privlib/File/Path.pm
	%privlib/File/Spec.pm
%dir	%privlib/File/Spec
	%privlib/File/Spec/Functions.pm
	%privlib/File/Spec/Unix.pm
	%privlib/File/stat.pm
	%privlib/File/Temp.pm
	%archlib/File
	%autolib/File
	%privlib/FileHandle.pm
	%privlib/FindBin.pm
	%privlib/Getopt
	%privlib/IO
	%archlib/IO*
	%autolib/IO
	%privlib/IPC
	%privlib/List
%dir	%privlib/Math
	%privlib/Math/BigInt*
%dir	%archlib/MIME
	%archlib/MIME/Base64.pm
	%autolib/MIME
%dir	%privlib/Net
	%privlib/Net/Ping.pm
%dir	%privlib/Net/Ping
	%privlib/Net/Ping/Changes
	%archlib/Opcode.pm
	%autolib/Opcode
%dir	%privlib/Pod
	%privlib/Pod/InputObjects.pm
	%privlib/Pod/Man.pm
	%privlib/Pod/ParseLink.pm
	%privlib/Pod/Parser.pm
	%privlib/Pod/ParseUtils.pm
	%privlib/Pod/Select.pm
	%privlib/Pod/Text*
	%privlib/Pod/Usage.pm
	%privlib/auto/POSIX
	%archlib/POSIX.pm
	%autolib/POSIX
	%privlib/Scalar
	%privlib/SelectSaver.pm
	%privlib/SelfLoader.pm
	%archlib/Socket.pm
	%autolib/Socket
%dir	%privlib/Class
	%privlib/Class/Struct.pm
	%archlib/Safe.pm
	%privlib/Symbol.pm
	%archlib/Sys
	%autolib/Sys
%dir	%privlib/Term
	%privlib/Term/ANSIColor.pm
	%privlib/Term/Cap.pm
	%privlib/Term/ReadLine.pm
	%privlib/Test.pm
%dir	%privlib/Test
	%privlib/Test/Builder.pm
	%privlib/Test/More.pm
%dir	%privlib/Text
	%privlib/Text/Abbrev.pm
	%privlib/Text/ParseWords.pm
	%privlib/Text/Tabs.pm
	%privlib/Text/Wrap.pm
%dir	%privlib/Tie
	%privlib/Tie/Array.pm
	%privlib/Tie/Hash.pm
	%privlib/Time
	%archlib/Time
	%autolib/Time
%dir	%privlib/unicore
	%privlib/unicore/Canonical.pl
	%privlib/unicore/Exact.pl
	%privlib/UNIVERSAL.pm
	%archlib/XSLoader.pm
# dbm stuff
%if_with anydbm
	%privlib/AnyDBM_File.pm
%endif
%if_with db
	%archlib/DB_File.pm
	%autolib/DB_File
%endif
# misc
	%privlib/ctime.pl
	%privlib/find.pl
	%privlib/flush.pl
	%privlib/getopt.pl
	%privlib/getopts.pl
	%privlib/shellwords.pl
	%privlib/stat.pl
	%privlib/timelocal.pl

%files
%doc Artistic README README.Y2K
	%_bindir/a2p
	%_bindir/find2perl
	%_bindir/pod2html
	%_bindir/pod2latex
	%_bindir/splain
	%_bindir/s2p
# skeleton
%dir	%privlib
%dir	%archlib
%dir	%autolib
# perl pragma
	%privlib/attributes.pm
	%archlib/attrs.pm
	%autolib/attrs
	%privlib/autouse.pm
	%privlib/bigint.pm
	%privlib/bignum.pm
	%privlib/bigrat.pm
	%privlib/charnames.pm
	%privlib/filetest.pm
	%privlib/if.pm
	%privlib/less.pm
	%privlib/open.pm
	%archlib/ops.pm
	%privlib/sigtrap.pm
	%privlib/sort.pm
# perl modules
	%privlib/Attribute
%if_with cgi
	%privlib/CGI
%endif
%dir	%privlib/Class
	%privlib/Class/ISA*
	%privlib/Digest.pm
	%privlib/Dumpvalue.pm
%dir	%privlib/Encode
	%privlib/Encode/_PM.e2x
	%privlib/Encode/C*
	%privlib/Encode/JP
	%privlib/Encode/KR
	%privlib/Encode/MIME
	%privlib/Encode/README.e2x
	%privlib/Encode/*.pod
	%archlib/Encode*
	%autolib/Encode
	%archlib/encoding.pm
	%privlib/Fatal.pm
	%privlib/FileCache.pm
%dir	%privlib/File
	%privlib/File/CheckTree.pm
	%privlib/File/DosGlob.pm
%dir	%privlib/File/Spec
	%privlib/File/Spec/Cygwin.pm
	%privlib/File/Spec/Epoc.pm
	%privlib/File/Spec/Mac.pm
	%privlib/File/Spec/OS2.pm
	%privlib/File/Spec/VMS.pm
	%privlib/File/Spec/Win32.pm
	%privlib/Filter
	%archlib/Filter
	%autolib/Filter
	%privlib/Hash
	%privlib/I18N
	%archlib/I18N
	%autolib/I18N
	%archlib/IPC
	%autolib/IPC
	%autolib/List
	%privlib/Locale
%dir	%privlib/Math
	%privlib/Math/BigFloat*
	%privlib/Math/BigRat.pm
	%privlib/Math/Complex.pm
	%privlib/Math/Trig.pm
	%privlib/Memoize*
%dir	%archlib/MIME
	%archlib/MIME/QuotedPrint.pm
%if_with libnet
%dir	%privlib/Net
	%privlib/Net/*libnet*
	%privlib/Net/Cmd.pm
	%privlib/Net/Config*
	%privlib/Net/demos
	%privlib/Net/Domain.pm
	%privlib/Net/FTP*
	%privlib/Net/Hostname.eg
	%privlib/Net/NNTP.pm
	%privlib/Net/Netrc.pm
	%privlib/Net/POP3.pm
	%privlib/Net/SMTP.pm
	%privlib/Net/Time.pm
%endif
	%privlib/NEXT*
	%privlib/PerlIO*
	%archlib/PerlIO
	%autolib/PerlIO
%dir	%privlib/Pod
	%privlib/Pod/Find.pm
	%privlib/Pod/Functions.pm
	%privlib/Pod/Html.pm
	%privlib/Pod/LaTeX.pm
	%privlib/Pod/Plainer.pm
	%privlib/Search
%if_with storable
	%archlib/Storable.pm
	%autolib/Storable
%endif
	%privlib/Switch*
	%privlib/User
	%privlib/Shell.pm
%dir	%privlib/Term
	%privlib/Term/ANSIColor
	%privlib/Term/Complete.pm
%dir	%privlib/Text
%if_with recdesc
	%privlib/Text/Balanced*
%endif
	%privlib/Text/Soundex.pm
	%privlib/Text/TabsWrap
%dir	%privlib/Tie
	%privlib/Tie/File.pm
	%privlib/Tie/Handle.pm
	%privlib/Tie/Memoize.pm
	%privlib/Tie/RefHash.pm
	%privlib/Tie/Scalar.pm
	%privlib/Tie/SubstrHash.pm
	%privlib/Thread*
	%privlib/Unicode
	%archlib/Unicode
	%autolib/Unicode
%dir	%privlib/unicore
	%privlib/unicore/A*
	%privlib/unicore/B*
	%privlib/unicore/CaseFolding.txt
	%privlib/unicore/Category.pl
	%privlib/unicore/Co*
	%privlib/unicore/D*
	%privlib/unicore/Ea*
	%privlib/unicore/I*
	%privlib/unicore/J*
	%privlib/unicore/L*
	%privlib/unicore/lib
	%privlib/unicore/m*
	%privlib/unicore/M*
	%privlib/unicore/N*
	%privlib/unicore/P*
	%privlib/unicore/R*
	%privlib/unicore/S*
	%privlib/unicore/To
	%privlib/unicore/U*
	%privlib/unicore/v*
# perl misc
	%privlib/abbrev.pl
	%privlib/assert.pl
	%privlib/bigfloat.pl
	%privlib/bigint.pl
	%privlib/bigrat.pl
	%privlib/cacheout.pl
	%privlib/chat2.pl
	%privlib/complete.pl
	%privlib/dotsh.pl
	%privlib/dumpvar.pl
	%privlib/exceptions.pl
	%privlib/fastcwd.pl
	%privlib/finddepth.pl
	%privlib/ftp.pl
	%privlib/getcwd.pl
	%privlib/hostname.pl
	%privlib/importenv.pl
	%privlib/look.pl
	%privlib/newgetopt.pl
	%privlib/open2.pl
	%privlib/open3.pl
	%privlib/perl5db.pl
	%privlib/pwd.pl
	%privlib/syslog.pl
	%privlib/tainted.pl
	%privlib/termcap.pl
	%privlib/validate.pl
	%privlib/Win32.pod
	%archlib/POSIX.pod
# dbm stuff
%if_with ndbm
	%archlib/NDBM_File.pm
	%autolib/NDBM_File
%endif
%if_with gdbm
	%archlib/GDBM_File.pm
	%autolib/GDBM_File
%endif
%if_with sdbm
	%archlib/SDBM_File.pm
	%autolib/SDBM_File
	%autolib/sdbm
%endif
%if_with odbm
	%archlib/ODBM_File.pm
	%autolib/ODBM_File
%endif
# 5.8.0
%if_with libnet
	%_bindir/libnetcfg
%endif
	%_bindir/piconv
	%_bindir/pod2usage
	%_bindir/psed

%files devel
	%_bindir/c2ph
	%_bindir/h2xs
	%_bindir/perlbug
	%_bindir/perlcc
	%_bindir/pstruct
	%_bindir/pl2pm
	%_bindir/podchecker
	%_bindir/podselect
	%_libdir/libperl.so
	%_sysconfdir/rpm/macros.d/%name
%dir	%autolib/DynaLoader
	%autolib/DynaLoader/DynaLoader.a
%dir	%archlib/CORE
	%archlib/CORE/sperl.o
	%archlib/CORE/*.h
# moved to perl-devel
	%privlib/AutoSplit.pm
	%privlib/B
%dir	%archlib/B
	%archlib/B/Asmdata.pm
	%archlib/B/Assembler.pm
	%archlib/B/Bblock.pm
	%archlib/B/Bytecode.pm
	%archlib/B/CC.pm
	%archlib/B/Concise.pm
	%archlib/B/C.pm
	%archlib/B/Debug.pm
	%archlib/B/Disassembler.pm
	%archlib/B/Lint.pm
	%archlib/B/Showlex.pm
	%archlib/B/Stackobj.pm
	%archlib/B/Stash.pm
	%archlib/B/Terse.pm
	%archlib/B/Xref.pm
	%autolib/B
	%archlib/ByteLoader.pm
	%autolib/ByteLoader
%if_with cpan
	%privlib/CPAN*
%endif
	%privlib/DB.pm
	%privlib/Devel
	%archlib/Devel
	%autolib/Devel
%dir	%privlib/Encode
	%privlib/Encode/_T.e2x
	%privlib/Encode/Makefile_PL.e2x
	%privlib/Encode/*.h
	%privlib/ExtUtils
	%archlib/O.pm
%dir	%privlib/Pod
	%privlib/Pod/Checker.pm
%dir	%privlib/Test
	%privlib/Test/Harness*
	%privlib/Test/Simple*
	%privlib/Test/Tutorial.pod
	%archlib/XS
	%autolib/XS
# 5.8.0
	%_bindir/dprofpp
	%_bindir/enc2xs
	%_bindir/perlivp
	%_bindir/xsubpp

%files suidperl
	%attr(4711,root,root) %_bindir/sperl%version
	%_bindir/suidperl

%files pod
%doc	%privlib/pod

%files man1
	%_man1dir/*

%files man3
	%_man3dir/*
%if_without anydbm
	%exclude %_man3dir/AnyDBM_File*
%endif

%files full

%changelog
* Fri Dec 27 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt1
- #0001755: %_bindir/suildperl was a hard links, this led to 
  permission conflict; symlinking forced
- %%without_libnet: fixed error in excluding libnet libraries 

* Sun Dec 10 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.9
- perl-full package (helps to install feature-rich perl kit)
- moved from perl to perl-base: Sys::Syslog, Net::Ping, Net::*ent,
  Time::tm, Time::gmtime, Time::localtime, timelocal.pl, ctime.pl,
  flush.pl, stat.pl, getopt.pl, the rest of *.ph files
- deb-Safe patch (security update for Safe.pm)
- upstream patches: 17781, 17927, 18061 (RH)

* Wed Nov 06 2002 Stanislav Ievlev <inger@altlinux.ru> 1:5.8.0-alt0.8.1
- fix conflicts with perl-DB_File

* Sat Nov 05 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.8
- pager='%_bindir/less -isR'; rh-pager patch
- %%dir %vendor_privlib/auto (perl-base)
- %%perl_venodr_install macro: various fixes
- some more *.ph files moved to perl-base
- %_sysconfdir/rpm/macros.d/%name moved to perl-devel
- AnyDBM_File moved to perl-DB_File package; all *DBM_File modules left in
  perl package (perl-base now depends on glibc-core and sh packages only)
- Sisyphus release

* Thu Oct 31 2002 Stanislav Ievlev <inger@altlinux.ru> 1:5.8.0-alt0.7.1
- adaptations for new gdbm

* Fri Oct 28 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.7
- separate packages (again): perl-Parse-RecDescent, perl-Storable
- provides, obsoletes: perl-MIME-Base64 (perl-base, but 
  MIME/QuotedPrint.pm is in perl because it uses Encode.pm)
- %%perl_vendor_build macro: test, smp switches added (on by default)
- %%perl_fix_local new macro: replace /usr/local/ with /usr/
- %%post/%%postun sections added (perl-base)
- libperl got soname (alt-pld-soname patch)

* Fri Oct 25 2002 Dmitry V. Levin <ldv@altlinux.org> 1:5.8.0-alt0.6.1
- Build without libperl dependency autodetection.

* Wed Oct 24 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.6
- separate packages: perl-CPAN, perl-libnet
- provides, obsoletes: perl-Digest-MD5, perl-Time-HiRes (perl-base)
- inc_version list mechanism is now partly supported -- for local
  installations only (%site_privlib)
- ultimate *dbm policy: try to include in perl-base the best one
  (according to AnyDBM_File.pm priorities; literally, this is ndbm)
- chat2.pl obsolete (yet missing) library restored from perl-5.6.1
- patch correction: mdk-MakeMaker-fhs -> alt-mdk-MakeMaker-fhs (handle 
  /usr/share/man as well as /usr/local/man)
- debian perl_5.8.0-13 patches: perldoc-width, perldoc-INC,
  accept-addrsz, Term-Cap-infocmp, installman-nopod, perlembed-examples,
  POSIX-SigAction, lib-args, no-syslogd

* Tue Oct 22 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.5
- perl-pod, perl-man1 and perl-man3 subpackages
- %_sysconfdir/rpm/macros.d/%name (perl-base) -- perl-specific rpm macros
  + %%perl_vendor_{priv,arch,auto}lib, %%perl_vendor_man[13]dir
  + %%perl_vendor_{build,install}
  + %%perl_binary_compat

* Sat Oct 19 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.4
- make use of site/vendor distinction; additional perl packages 
  provided by %vendor must install in %vendor_privlib 
  (typical invocation: "perl Makefile.PL INSTALLDIRS=vendor");
  local installations must install in %site_privlib
- mdk-MakeMaker-prefix patch (keep paths relative to prefix)
- mdk-MakeMaker-fhs patch (fix implied $(PREFIX)/man mandir)
- %_bindir/perldoc and a bit of Pod stuff moved to perl-base
- %privlib/man/man3 -> %_man3dir
- perl-base provides perl-version (for possible future use)
- sdbm is in perl-base; gdbm and ndbm are in perl
- %%descriptions got more descriptive

* Wed Oct 16 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.3
- major rearrangement; dependency tunings
  + static %%files sections
  + some modules moved from perl to perl-base and perl-devel
  + perl and perl-devel depend on perl-base only
  + perl-base doesnot depend on perl; "AutoReq: noperl" switched off
- libperl.so* relocated to %_libdir
- soname changed: libperl.so.5 -> libperl.so.5.8
- use of inc_version_list mechanism is finally deprecated
- archlib name kept back to i386-linux
- debian *.ph fixer

* Sun Oct 06 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1:5.8.0-alt0.2
- removed obsoleted Summary & description in KOI8-R encoding
- added Packager & URL tags
- repacked Source0 with bzip2

* Tue Oct 01 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.1
- 5.8.0
- revision of all patches
- general specfile cleanup
- builds now without AND with system-wide %name installation

* Sun May 19 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt17
- Synced with 5.6.1-41.99.6 (RedHat) and 5.601-14mdk (Mandrake)
- suidperl subpackage

* Fri Apr 05 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt16
- Thrown unwanted libraries out of libswanted
- Two more patches from RedHat
- Added /usr/bin/perl to the perl-base provides

* Sat Jan 05 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt15
- dbmclose-in-DESTROY patch

* Wed Nov 28 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt14
- Better solution of the previous problem: bail out if directories don't exist

* Mon Nov 26 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt13
- Create directories prior to cd'ing to them in the preinstall scripts

* Tue Nov 06 2001 Stanislav Ievlev <inger@altlinux.ru> 1:5.6.1-alt12
- fix Autoreq

* Sat Nov 03 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt11
- Parser patch from Gurusamy Sarathy (change #9950)

* Tue Oct 23 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt10
- Relocated linux/modsetver.ph to perl-base
- Refined perldoc patch
- BuildRequires cleanup

* Wed Oct 17 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt9
- Explicitly set inc_version_list

* Fri Oct 05 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt8
- Synchronized with 5.601-6mdk
- Added perldoc patch
- noperl in AutoReq

* Tue Jul 31 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.6.1-alt7
- Dropped symlinks to i386 arch-dependent directories for other ix86 arches
  because it breaks upgrade.

* Tue Jul 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.6.1-alt7
- Set explicit install order: %name-base, %name, %name-devel.
- Added preinstall scripts for somewhat better arch change.

* Sat Jul 14 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt6
- made symlinks to i386 arch-dependent directories for other ix86 arches
- removed sitelib directory from perl-base list

* Tue Jul 10 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt5
- set archname to i386-linux for ix86
- removed kernel dependency as it turns out to be circular

* Thu Jun 21 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt4
- Fixed soname

* Tue May 29 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt3
- Synchronized with 5.601-4mdk
- IMPORTANT: Removed version number part from privlib and archlib paths
  in order to make programs compiled with libperl.so using rpath
  immune to perl upgrades. Editing of ld.so.conf is abandoned.
  A (bare-)versioned soname is etched on libperl.so.
- Use installprefix and edit Config.pm as INSTALL recommends to do

* Wed Apr 18 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt2
- perl-base adds path to libperl.so to /etc/ld.so.conf on installation

* Fri Apr 13 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt1
- The long-awaited 5.6.1
- Changed release tag for ALT Linux Team
- Trying to eliminate dependency on i386 dirs
- Fixed LD_SO_PRELOAD in install stage

* Sun Dec 17 2000 Mikhail Zabaluev <mookid@sigent.ru> 1:5.6.0-ipl3mdk
- synchronized with 5.600-24mdk
- Added:
  + ../site_perl/5.005/i386-linux as vendorarch
  + site_perl directory to the files list for perl-base

* Fri Dec  1 2000 Mikhail Zabaluev <mookid@sigent.ru> 1:5.6.0-ipl2mdk
- brought the spec in conformance to the GPL (the General Party Line,
  not to be mixed with the GNU Public License)
- touch Config.pm to avoid unwanted rebuilds during install
- not using packages that used to be a source for .ph's not needed by Perl
  itself. This will be done in a separate package.
- eliminated build dependancy on the perl installed in the system
- added kernel version supporting 64-bit I/O to Requires
- added /boot/kernel.ph to Requires
- moved h2ph to the main package, since it is used to generate /boot/kernel.ph

* Sat Nov 25 2000 Mikhail Zabaluev <mookid@sigent.ru> 1:5.6.0-ipl1mdk
- turned into an official Mandrake RE package
- old version set to 5.00600 to comply with automatic requires
- Russian groups and information
- packages listed to build *.ph files are made BuildRequires
- used _perl_lib_path macro to specify the Perl autodeps search path strictly

* Tue Nov 23 2000 Mikhail Zabaluev <mookid@sigent.ru> 1:5.6.0-4mdk_mhz
- synchronized with 5.600-20mdk by pixel@mandrakesoft.com
- enabled 'uselargefiles' again, since the new kernel must support it
- removed redundant epoch 1 provides
- automatic dependency building for perl

* Mon Oct 16 2000 Mikhail Zabaluev <mookid@sigent.ru> 1:5.6.0-3mdk_mhz
- -Uuselargefiles configuration option, for compatibility with Apache
  and workable fcntl($fd, F_SETLK, ...)

* Sun Oct  8 2000 Mikhail Zabaluev <mookid@sigent.ru> 1:5.6.0-2mdk_mhz
- added %name = 1:%version in provides to work around an rpm flaw

* Sat Oct  7 2000 Mikhail Zabaluev <mookid@sigent.ru> 1:5.6.0-1mdk_mhz
- versioning with epoch
- excluded *.bs files from perl.list

* Sun Sep  3 2000 Pixel <pixel@mandrakesoft.com> 5.600-17mdk
- also move warnings/register.pm
- fix silly error

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 5.600-16mdk
- move Glob.pm and dependencies to perl-base

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 5.600-15mdk
- fix filelist cleaning

* Wed Aug 23 2000 Pixel <pixel@mandrakesoft.com> 5.600-14mdk
- add Packager

* Tue Aug 22 2000 Pixel <pixel@mandrakesoft.com> 5.600-13mdk
- move dir .../CORE to perl-base
- move lib.pm to perl-base (to make installkernel happy)

* Fri Aug 18 2000 Pixel <pixel@mandrakesoft.com> 5.600-12mdk
- fix-LD_RUN_PATH-for-MakeMaker

* Mon Aug  7 2000 Pixel <pixel@mandrakesoft.com> 5.600-11mdk
- fix the mailx `!~' (in case you're using the old mailx or a bug appears in
mailx...)

* Tue Jul 25 2000 Pixel <pixel@mandrakesoft.com> 5.600-10mdk
- move DynaLoader.a to -devel
- remove menu

* Sat Jul 22 2000 Pixel <pixel@mandrakesoft.com> 5.600-9mdk
- patch CGI.pm to have $TempFile::TMPDIRECTORY = '/tmp'

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 5.600-8mdk
- bad config.h

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 5.600-7mdk
- oups, devel was bad :-(

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 5.600-6mdk
- BM, macroization

* Fri May 19 2000 Franois Pons <fpons@mandrakesoft.com> 5.600-5mdk
- changed asm/*.h to asm*/*.h during .ph generation for sparc.

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 5.600-4mdk
- fix a bug causing missing .ph's

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 5.600-3mdk
- really add menu

* Mon Mar 27 2000 Pixel <pixel@mandrakesoft.com> 5.600-2mdk
- add menu

* Thu Mar 23 2000 Pixel <pixel@mandrakesoft.com> 5.600-1mdk
- change version number for backward compatibility :(
(serial is not enough, cuz there are some requires >= 5.00503)

* Thu Mar 23 2000 Pixel <pixel@mandrakesoft.com> 5.6.0-1mdk
- new version

* Tue Mar 21 2000 Pixel <pixel@mandrakesoft.com> 5.6-0.3mdk
- RC3

* Thu Mar 16 2000 Pixel <pixel@mandrakesoft.com> 5.6-0.2mdk
- RC2

* Thu Mar  9 2000 Pixel <pixel@mandrakesoft.com> 5.6-0.1mdk
- new version

* Wed Mar  1 2000 Pixel <pixel@mandrakesoft.com> 5.5.670-1mdk
- new version

* Thu Feb 24 2000 Pixel <pixel@mandrakesoft.com> 5.5.660-1mdk
- remove the strip'ing and man page bzip'ing
- new version

* Wed Feb  9 2000 Pixel <pixel@mandrakesoft.com> 5.5.650-1mdk
- new version

* Thu Feb  3 2000 Pixel <pixel@mandrakesoft.com> 5.5.640-6mdk
- new version (and new version numbering)

* Mon Jan 17 2000 Franois Pons <fpons@mandrakesoft.com>
- changed asm/*.h to asm*/*.h during .ph generation for sparc.

* Fri Dec 17 1999 Pixel <pixel@mandrakesoft.com>
- clean up
- fixed the reference to the egcs package

* Mon Nov 29 1999 Pixel <pixel@linux-mandrake.com>
- removed the `Provides: perl' in perl-base

* Mon Nov 22 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- changed i386 into ${RPM_ARCH}

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix forget manpages from %files.

* Thu Oct 14 1999 Pixel <pixel@linux-mandrake.com>

- create hackperl based on perl's spec
- split in two packages
- removed csh dependencie
- merged redhat's spec (not everything)

* Mon Jul 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- ln /usr/lib/perl5 to /usr/lib/perl5%current_version
- bzip2 manpages.

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patch from RedHat6.0.
- Update to 5.005_03

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- handle RPM_OPT_FLAGS
- add de locale

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- guilty of the inlined Makefile in the spec file
- adapted for the arm build

* Wed Sep 09 1998 Preston Brown <pbrown@redhat.com>
- added newer CGI.pm to the build
- changed the version naming scheme around to work with RPM

* Sun Jul 19 1998 Jeff Johnson <jbj@redhat.com>
- attempt to generate *.ph files reproducibly

* Mon Jun 15 1998 Jeff Johnson <jbj@redhat.com>
- update to 5.004_04-m4 (pre-5.005 maintenance release)

* Tue Jun 12 1998 Christopher McCrory <chrismcc@netus.com
- need stdarg.h from gcc shadow to fix "use Sys::Syslog" (problem #635)

* Fri May 08 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to correct the .ph constructs unless defined (foo) to read
  unless(defined(foo))

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Mar 10 1998 Cristian Gafton <gafton@redhat.com>
- fixed strftime problem

* Sun Mar 08 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to fix a security race
- do not use setres[ug]id - those are not implemented on 2.0.3x kernels

* Mon Mar 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 5.004_04 - 5.004_01 had some nasty memory leaks.
- fixed the spec file to be version-independent

* Fri Dec 05 1997 Erik Troan <ewt@redhat.com>
- Config.pm wasn't right do to the builtrooting

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- fixed arch-specfic part of spec file

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to perl 5.004_01
- users a build root

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>
- Incorporated security patch from Chip Salzenberg <salzench@nielsenmedia.com>

* Fri Feb 07 1997 Erik Troan <ewt@redhat.com>
- Use -Darchname=i386-linux
- Require csh (for glob)
- Use RPM_ARCH during configuration and installation for arch independence
